org.apache.cassandra.net

## Interface BackPressureState

-     public interface BackPressureState

  Interface meant to track the back-pressure state per replica host.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getBackPressureRateLimit()` Gets the current back-pressure rate limit.
    `java.net.InetAddress` | `getHost()` Returns the host this state refers to.
    `void` | `onMessageSent(MessageOut<?> message)` Called when a message is sent to a replica.
    `void` | `onResponseReceived()` Called when a response is received from a replica.
    `void` | `onResponseTimeout()` Called when no response is received from replica.

- - ### Method Detail

    - #### onMessageSent

          void onMessageSent(MessageOut<?> message)

      Called when a message is sent to a replica.

    - #### onResponseReceived

          void onResponseReceived()

      Called when a response is received from a replica.

    - #### onResponseTimeout

          void onResponseTimeout()

      Called when no response is received from replica.

    - #### getBackPressureRateLimit

          double getBackPressureRateLimit()

      Gets the current back-pressure rate limit.

    - #### getHost

          java.net.InetAddress getHost()

      Returns the host this state refers to.

Copyright © 2018 The Apache Software Foundation